using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Text;
using NUnit.Framework;

namespace m3uTool.Tests
{
	[TestFixture]
	public class Mp4EncodingOptionsTests
	{
		[Test]
		public void Mp4EncodingOptionsTest()
		{
			Mp4EncodingOptions e = new Mp4EncodingOptions();
			e.RawInputChannels = ChannelMode.SingleChannel;
			string arguments = e.GetCommandLineArguments();
			Debug.WriteLine(arguments);
			
			e = new Mp4EncodingOptions();
			e.OutputFilename = "har";
			Debug.WriteLine(e.GetCommandLineArguments());
			
			e.InputFiles = new string[]{"input.txt"};
			Debug.WriteLine(e.GetCommandLineArguments());
		}
	}
}
